# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-issues

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 5
Summary:        A Sphinx extension for linking to your project's issue tracker
Group:          Development/Python
License:        MIT
URL:            https://github.com/sloria/sphinx-issues
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_issues

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Dec 09 2023 wally <wally> 3.0.1-5.mga10
+ Revision: 2016058
- rebuild for py3.12
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 3.0.1-4.mga9
+ Revision: 1832610
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 3.0.1-3.mga9
+ Revision: 1774818
- Fix filelist for python-3.10 (bogus r1774008)
+ joequant <joequant>
- update python to 3.10
+ neoclust <neoclust>
- Rebuild for python 3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 3.0.1-1.mga9
+ Revision: 1771358
- version 3.0.1

* Mon Mar 15 2021 neoclust <neoclust> 1.2.0-4.mga9
+ Revision: 1703329
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1531402
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.2.0-2.mga8
+ Revision: 1439804
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429853
- imported package python-sphinx-issues

